Eclipse GEF 3.3

## org.eclipse.gef.handles
Class RelativeHandleLocator

    java.lang.Object
      org.eclipse.draw2d.RelativeLocator
          org.eclipse.gef.handles.RelativeHandleLocator

All Implemented Interfaces:
  Locator

public class RelativeHandleLocator
extends RelativeLocator

Similar to `RelativeLocator`, but adds support for the `HandleBounds` interface. If the reference figure implements `HandleBounds`, then `HandleBounds.getHandleBounds()` will be used as the reference box. If not, the behavior is the same as that of the superclass.

Constructor Summary
`RelativeHandleLocator(IFigure reference, int location)` Constructs a new locator using the given reference figure and location.

Method Summary
`protected Rectangle` `getReferenceBox()` Overridden to check for reference figures implementing the `HandleBounds` interface.

Methods inherited from class org.eclipse.draw2d.RelativeLocator
`getReferenceFigure, relocate, setReferenceFigure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelativeHandleLocator

    public RelativeHandleLocator(IFigure reference,
                                 int location)

  Constructs a new locator using the given reference figure and location.

Parameters:
  `reference` - the reference figure
  `location` - one of NORTH, NORTH_EAST, etc.

Method Detail

### getReferenceBox

    protected Rectangle getReferenceBox()

  Overridden to check for reference figures implementing the `HandleBounds` interface.

  See Also:
    `RelativeLocator.getReferenceBox()`

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.